Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
{ "input": "https://example.com/photo.jpg", "text": "© 2026", "position": "bottom-right", "opacity": 0.5 }
curl -X POST https://api.ringbee.dev/v1/image/watermark-text \ -H "X-API-Key: YOUR_API_KEY" \ -F "file=@photo.jpg" \ -F "text=© 2026" \ -F "position=bottom-right" \ -F "opacity=0.5"
{ "id": "job_abc123", "status": "pending" }
{ "error": "<string>" }
Add text watermark to an image
Input file URL
Watermark text content
Placement position (e.g., bottom-right, center, top-left)
Watermark opacity (0.0-1.0)
URL to receive job completion notification
Job accepted
"job_abc123"
pending
processing
completed
failed
cancelled
"pending"